All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface is subject to change. ***

## com.sas.iquery.metadata
Interface PropertyChangeListenee

All Known Subinterfaces:
  AssociationItem, Base, BusinessGroup, BusinessItem, BusinessModel, BusinessModelObject, BusinessModelResource, BusinessModelResourceReferencer, BusinessQuery, BusinessRule, CascadableFilter, CompoundFilter, DataItem, DataItemContainerExpression, DataItemReference, DataSelection, DrillThroughToDetail, ExpressionInterface, FilterCascadeRule, FilterItem, Governing, InformationMap, Model, ModelItem, ModelItemWithIdentity, NonCalculatedValue, Prompt, StepFilterInterface, StepInterface

All Known Implementing Classes:
  com.sas.iquery.metadata.business.impl.AbstractBase, com.sas.iquery.metadata.impl.AbstractExpression, com.sas.iquery.metadata.business.impl.AbstractFilterCascade, com.sas.iquery.metadata.business.impl.AbstractModelItem, AbstractRelativeTimeValueExpression, AbstractTimeValueExpression, BaseFilter, BaseFilterExpression, BusinessGroupMemberFilterExpression, BusinessQueryDataBasedFilter, BusinessQueryRankFilter, BusinessQueryTupleFilter, ChangeHistoryItem, CompoundConditionalExpression, CompoundStep, ConditionalExpression, ConstantExpression, DataBasedFilterExpression, DataBasedFilterExpression_Between, DataItemMemberFilter, DataItemMemberPropertiesFilter, DataItemNavigationFilter, DataItemRankFilter, DataItemRankFilter, DataItemTimeFilter, DataItemTimeFirstLastPeriodsFilter, DataItemTimeNParallelPeriodsFilter, DataItemTimeNPeriodsFilter, DataItemTimeRangeFilter, DateValueExpression, Drill, FilterCascade, FractionOfTotalExpression, FunctionCall, Lasr, Lookup, LookupByDataItem, LookupList, LookupNotAllowed, LookupValue, MemberFilterExpression, MultipleConditionalExpression, PromptedTimeRangeFilter, RelationalConditionalExpression, RelativeDateValueExpression, RelativeTimestampValueExpression, ResourceAwareStringExpression, SelectedItem, SimpleConditionalExpression_Between, SimpleConditionalExpression_Comparison, SimpleConditionalExpression_Contains, SimpleConditionalExpression_In, SimpleConditionalExpression_Like, SimpleConditionalExpression_TestForNull, StringExpression, TimeExpressionMeasure, TimeFilterExpression, TimeFilterFirstLastPeriodsExpression, TimeFilterNParallelPeriodsExpression, TimeFilterNPeriodsExpression, TimeRangeFilterExpression, TimestampValueExpression, TimeValueExpression, TupleFilterMemberQualifier

    public interface PropertyChangeListenee

Specifies an object that can be listened to for changes to its definition.

The specific types of change events that are valid for the object are specified by the object's class or interface ... usually starting with the letters EVENT_

Method Summary
`void` | `addListener(java.beans.PropertyChangeListener listener)` Adds a listener that wishes to be notified when this object changes.
`java.util.List<java.beans.PropertyChangeListener>` | `getListeners()` Returns a list of PropertyChangeListener objects that are listening for changes to this object.
`void` | `removeListener(java.beans.PropertyChangeListener listener)` Remove a listener that no longer wishes to be notified when this object changes.

Method Detail

### addListener

    void addListener(java.beans.PropertyChangeListener listener)

  Adds a listener that wishes to be notified when this object changes. The specific types of change events that are valid for the object are specified by the object's class or interface ... usually starting with the letters EVENT_

  If the given listener is already listening on this object, no action is taken.

  Parameters:
    `listener` - the listener who has interest in change events for this object

### removeListener

    void removeListener(java.beans.PropertyChangeListener listener)

  Remove a listener that no longer wishes to be notified when this object changes.

  If the given listener is not listening on this object, no action is taken.

  Parameters:
    `listener` - the listener who has no interest in change events for this object

### getListeners

    java.util.List<java.beans.PropertyChangeListener> getListeners()

  Returns a list of PropertyChangeListener objects that are listening for changes to this object.

  Returns:
    a list of PropertyChangeListener objects that are listening for changes to this object.

*** This interface is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.